chiark / gitweb /
Merge commit 'refs/top-bases/debian/locations' into debian/locations
[topgit.git] / tg.sh
diff --git a/tg.sh b/tg.sh
index b4933997e9a6fb484554257b4e2cf31c2dca924c..ecc65748141dd53a224f382f7d53ddcacb2ba65d 100644 (file)
--- a/tg.sh
+++ b/tg.sh
@@ -26,7 +26,7 @@ setup_hook()
                # Another job well done!
                return
        fi
-       # Prepare incanation
+       # Prepare incantation
        if [ -x "$git_dir/hooks/$1" ]; then
                hook_call="$hook_call"' || exit $?'
        else
@@ -222,10 +222,14 @@ do_help()
                        sep="|"
                done
 
-               echo "TopGit v0.3 - A different patch queue manager"
+               echo "TopGit v0.4 - A different patch queue manager"
                echo "Usage: tg [-r REMOTE] ($cmds|help) ..."
-       elif [ -r "@sharedir@/tg-$1.txt" ] ; then
-               cat "@sharedir@/tg-$1.txt"
+       elif [ -r "@cmddir@"/tg-$1 ] ; then
+               @cmddir@/tg-$1 -h || :
+               echo
+               if [ -r "@docdir@/tg-$1.txt" ] ; then
+                       cat "@docdir@/tg-$1.txt"
+               fi
        else
                echo "`basename $0`: no help for $1" 1>&2
        fi